#ifndef __EM_ALL__
#define __EM_ALL__

typedef void (*em_void_void_callback) (void);
typedef void (*em_void_int_callback) (int);

#ifdef _MSC_VER
/**
 * Disabled Error Message
 * compiler limit : terminating line number emission
 * 
 * VC7: The file contains more than     65,535 source lines. The compiler stops numbering at     65,535.
 * VC8: The file contains more than 16,777,215 source lines. The compiler stops numbering at 16,777,215.
 * 
 * For more information please consult MSDN
 */
#pragma warning( disable: 4049 )
#endif

#include <em_base.h>
#include <em_opengl_ext.h>
#include <em_opengl.h>
#include <em_cg.h>
#include <em_video.h>
#include <em_audio.h>
#include <em_ttf.h>
#include <em_net.h>

#ifndef _SDL_types_h
//from SDL_types.h
#ifndef _SDL_stdinc_h
//or from SDL_stdinc.h
typedef unsigned char Uint8;
#endif
#endif
typedef void (*em_void_voidp_uint8p_int) (void*,Uint8*,int);

#endif // __EM_ALL__
